package com.dayou.mapper;

import com.dayou.entity.BusinessProductionPerformance;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.BusinessProductionPerformanceVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 业务产品绩效分配 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-11-07
 */
public interface BusinessProductionPerformanceMapper extends CustomBaseMapper<BusinessProductionPerformance> {

    List<BusinessProductionPerformance> getMajorDetail(@Param("performance") BusinessProductionPerformanceVO performance);
}
