package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.FinanceRealFund;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.FinanceRealFundVO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

/**
 * <p>
 * 财务实收款 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface FinanceRealFundMapper extends CustomBaseMapper<FinanceRealFund> {

    Page<FinanceRealFundVO> getPage(Page page, @Param("vo") FinanceRealFund vo,@Param("keyword") String keyword);

    BigDecimal getNotClaimAmount(@Param("realFundId") Long realFundId);
}
