package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.Personal;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.PersonalVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 个贷业务订单 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
public interface PersonalMapper extends CustomBaseMapper<Personal> {

    Page<PersonalVO> xSelectPage(Page page, @Param("personal") PersonalVO personal);

    PersonalVO getDetail(@Param("id") Long id);

    Personal getByTargetId(@Param("targetId") Long targetId);
}
