package com.dayou.service;
import com.dayou.entity.AssetsProduction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 资产产品表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
public interface IAssetsProductionService extends IService<AssetsProduction> {

        Page<AssetsProduction> selectPage(Page page,AssetsProduction assetsProduction);

        AssetsProduction detail(Long id);

        Boolean add(AssetsProduction assetsProduction);

        Boolean update(AssetsProduction assetsProduction);

        Boolean delete(Long id);

}
