package com.dayou.service;
import com.dayou.entity.FinanceClaim;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.FinanceClaimVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 实收款认领 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface IFinanceClaimService extends IService<FinanceClaim> {

        Page<FinanceClaim> selectPage(Page page,FinanceClaim financeClaim);

        FinanceClaim detail(Long id);

        Boolean add(FinanceClaim financeClaim);

        Boolean update(FinanceClaim financeClaim);

        Boolean delete(Long id);

    List<FinanceClaimVO> getList(Long realFundId);

        BigDecimal getTotalClaimAmountByProductionFundId(Long id);
}
