package com.dayou.service;
import com.dayou.dto.TaskRecordDTO;
import com.dayou.dto.WorkNodeCommit;
import com.dayou.entity.Personal;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.enums.CertificateEnum;
import com.dayou.vo.PersonalVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 个贷业务订单 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
public interface IPersonalService extends IService<Personal> {

        Page<PersonalVO> selectPage(Page page, PersonalVO personal);

        PersonalVO detail(Long id);

        WorkNodeCommit add(Personal personal);

        Boolean update(Personal personal);

        Boolean delete(Long id);

    Boolean allotOutwardStaff(TaskRecordDTO<Personal> taskRecordDTO);

    void updateCertificates(Long targetId, CertificateEnum cer);
}
