package com.dayou.workflow.annotation;

import com.dayou.enums.workflow.CallbackEnum;

import java.lang.annotation.*;

/**
 * 类说明：工作流日志记录器
 *
 * @author: wucl
 * @since: 2023/10/27
 * created with IntelliJ IDEA.
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface WorkflowControl {

    CallbackEnum name() default CallbackEnum.NONE;
}
