package com.dayou.mapper;

import com.dayou.entity.FinanceClaim;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.FinanceClaimVO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 实收款认领 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface FinanceClaimMapper extends CustomBaseMapper<FinanceClaim> {

    List<FinanceClaimVO> getList(@Param("realFundId") Long  realFundId);

    BigDecimal getTotalClaimAmountByProductionFundId(@Param("productionFundId") Long productionFundId);
}
