package com.dayou.mapper;

import com.dayou.entity.OrderFund;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

/**
 * <p>
 * 订单应收款 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-12-14
 */
public interface OrderFundMapper extends CustomBaseMapper<OrderFund> {

    void updateRealAmount(@Param("id") Long id, @Param("thisTimeAmount") BigDecimal thisTimeAmount);
}
