package com.dayou.service;
import com.dayou.entity.AssetsEvaluationTarget;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 资产评估对象表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
public interface IAssetsEvaluationTargetService extends IService<AssetsEvaluationTarget> {

        Page<AssetsEvaluationTarget> selectPage(Page page,AssetsEvaluationTarget assetsEvaluationTarget);

        AssetsEvaluationTarget detail(Long id);

        Boolean add(AssetsEvaluationTarget assetsEvaluationTarget);

        Boolean update(AssetsEvaluationTarget assetsEvaluationTarget);

        Boolean delete(Long id);

}
