package com.dayou.service;
import com.dayou.dto.WorkNodeCommit;
import com.dayou.entity.Assets;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 资产业务订单表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
public interface IAssetsService extends IService<Assets> {

        Page<Assets> selectPage(Page page,Assets assets);

        Assets detail(Long id);

        /**
         * 新增资产业务订单
         * @param assets 资产订单信息
         * @return Boolean
         */
        WorkNodeCommit add(Assets assets);

        Boolean update(Assets assets);

        Boolean delete(Long id);

}
